cluster / acme
15 operations.
GET /cluster/acme
proxmox.cluster.acme.$get()ACMEAccount index.
Returns an array of object.
GET /cluster/acme/account
proxmox.cluster.acme.account.$get()ACMEAccount index.
Returns an array of object.
POST /cluster/acme/account
proxmox.cluster.acme.account.$post()Register a new ACME account with CA.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
contact | string | yes | Contact email addresses. — format email-list |
directory | string | URL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory" | |
eab-hmac-key | string | HMAC key for External Account Binding. | |
eab-kid | string | Key Identifier for External Account Binding. | |
name | string | ACME account config file name. — format pve-configid, default "default" | |
tos_url | string | URL of CA TermsOfService - setting this indicates agreement. |
GET /cluster/acme/account/{name}
proxmox.cluster.acme.account.$(name).$get()Return existing ACME account information.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | ACME account config file name. — format pve-configid, default "default" |
PUT /cluster/acme/account/{name}
proxmox.cluster.acme.account.$(name).$put()Update existing ACME account information with CA. Note: not specifying any new account information triggers a refresh.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
contact | string | Contact email addresses. — format email-list | |
name | string | ACME account config file name. — format pve-configid, default "default" |
DELETE /cluster/acme/account/{name}
proxmox.cluster.acme.account.$(name).$delete()Deactivate existing ACME account at CA.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | ACME account config file name. — format pve-configid, default "default" |
GET /cluster/acme/challenge-schema
proxmox.cluster.acme["challenge-schema"].$get()Get schema of ACME challenge types.
Returns an array of object.
GET /cluster/acme/directories
proxmox.cluster.acme.directories.$get()Get named known ACME directory endpoints.
Returns an array of object.
GET /cluster/acme/meta
proxmox.cluster.acme.meta.$get()Retrieve ACME Directory Meta Information
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
directory | string | URL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory" |
GET /cluster/acme/plugins
proxmox.cluster.acme.plugins.$get()ACME plugin index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
type | dns | standalone | Only list ACME plugins of a specific type |
POST /cluster/acme/plugins
proxmox.cluster.acme.plugins.$post()Add ACME plugin configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
api | 1984hosting | acmedns | acmeproxy | active24 | ad | ali | alviy | anx | … (152 more) | API plugin name | |
data | string | DNS plugin data. (base64 encoded) | |
disable | boolean | Flag to disable the config. | |
id | string | yes | ACME Plugin ID name — format pve-configid |
nodes | string | List of cluster node names. — format pve-node-list | |
type | dns | standalone | yes | ACME challenge type. |
validation-delay | number | Extra delay in seconds to wait before requesting validation. Allows to cope with a long TTL of DNS records. — min 0, max 172800, default 30 |
GET /cluster/acme/plugins/{id}
proxmox.cluster.acme.plugins.$(id).$get()Get ACME plugin configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | Unique identifier for ACME plugin instance. — format pve-configid |
PUT /cluster/acme/plugins/{id}
proxmox.cluster.acme.plugins.$(id).$put()Update ACME plugin configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
api | 1984hosting | acmedns | acmeproxy | active24 | ad | ali | alviy | anx | … (152 more) | API plugin name | |
data | string | DNS plugin data. (base64 encoded) | |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Flag to disable the config. | |
id | string | yes | ACME Plugin ID name — format pve-configid |
nodes | string | List of cluster node names. — format pve-node-list | |
validation-delay | number | Extra delay in seconds to wait before requesting validation. Allows to cope with a long TTL of DNS records. — min 0, max 172800, default 30 |
DELETE /cluster/acme/plugins/{id}
proxmox.cluster.acme.plugins.$(id).$delete()Delete ACME plugin configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | Unique identifier for ACME plugin instance. — format pve-configid |
GET /cluster/acme/tos
proxmox.cluster.acme.tos.$get()Retrieve ACME TermsOfService URL from CA. Deprecated, please use /cluster/acme/meta.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
directory | string | URL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory" |